commit:     5814f48149b1c297f5b5647c40fb84660b3e97c8
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 26 07:55:24 2016 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 26 07:55:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5814f481

games-rpg/draci-historie: Migrate from LINGUAS to L10N.

Package-Manager: portage-2.3.0

 .../draci-historie/draci-historie-2012.ebuild      | 30 +++++++++++-----------
 1 file changed, 15 insertions(+), 15 deletions(-)

diff --git a/games-rpg/draci-historie/draci-historie-2012.ebuild 
b/games-rpg/draci-historie/draci-historie-2012.ebuild
index c0f53b5..3aea076 100644
--- a/games-rpg/draci-historie/draci-historie-2012.ebuild
+++ b/games-rpg/draci-historie/draci-historie-2012.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -8,16 +8,16 @@ inherit unpacker eutils games
 DESCRIPTION="Bert the little dragon searches for his father"
 HOMEPAGE="http://www.ucw.cz/draci-historie/index-en.html";
 BASE_URL="http://www.ucw.cz/draci-historie/binary/dh";
-SRC_URI="linguas_cs? ( ${BASE_URL}-cz-${PV}.zip )
-       linguas_de? ( ${BASE_URL}-de-${PV}.zip )
-       linguas_en? ( ${BASE_URL}-en-${PV}.zip )
-       linguas_pl? ( ${BASE_URL}-pl-${PV}.zip )
-       !linguas_cs? ( !linguas_de? ( !linguas_en? ( !linguas_pl? ( 
${BASE_URL}-en-${PV}.zip ) ) ) )"
+SRC_URI="l10n_cs? ( ${BASE_URL}-cz-${PV}.zip )
+       l10n_de? ( ${BASE_URL}-de-${PV}.zip )
+       l10n_en? ( ${BASE_URL}-en-${PV}.zip )
+       l10n_pl? ( ${BASE_URL}-pl-${PV}.zip )
+       !l10n_cs? ( !l10n_de? ( !l10n_en? ( !l10n_pl? ( 
${BASE_URL}-en-${PV}.zip ) ) ) )"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="linguas_cs linguas_de linguas_en linguas_pl"
+IUSE="l10n_cs l10n_de l10n_en l10n_pl"
 
 RDEPEND=">=games-engines/scummvm-1.1"
 DEPEND="$(unpacker_src_uri_depends)"
@@ -25,22 +25,22 @@ DEPEND="$(unpacker_src_uri_depends)"
 S=${WORKDIR}
 
 src_unpack() {
-       if use linguas_en || ( ! use linguas_cs && ! use linguas_de && ! use 
linguas_en && ! use linguas_pl ) ; then
+       if use l10n_en || ( ! use l10n_cs && ! use l10n_de && ! use l10n_en && 
! use l10n_pl ) ; then
                mkdir en || die
                unpacker dh-en-${PV}.zip
                mv *.{dfw,fon,mid,sam} en/ || die
        fi
-       if use linguas_cs ; then
+       if use l10n_cs ; then
                mkdir cs || die
                unpacker dh-cz-${PV}.zip
                mv *.{dfw,fon,mid,sam,zzz} cs/ || die
        fi
-       if use linguas_de ; then
+       if use l10n_de ; then
                mkdir de || die
                unpacker dh-de-${PV}.zip
                mv *.{dfw,fon,mid,sam} de/ || die
        fi
-       if use linguas_pl ; then
+       if use l10n_pl ; then
                mkdir pl || die
                unpacker dh-pl-${PV}.zip
                mv *.{dfw,fon,mid,sam,zzz} pl/ || die
@@ -57,19 +57,19 @@ src_install() {
        for lingua in $(find * -type d); do
                doins -r ${lingua}
        done
-       if use linguas_en || ( ! use linguas_cs && ! use linguas_de && ! use 
linguas_en && ! use linguas_pl ) ; then
+       if use l10n_en || ( ! use l10n_cs && ! use l10n_de && ! use l10n_en && 
! use l10n_pl ) ; then
                games_make_wrapper draci-historie-en "scummvm -f -p 
\"${GAMES_DATADIR}/${PN}/en\" draci" .
                make_desktop_entry ${PN}-en "Dračí Historie (English)" 
/usr/share/pixmaps/draci-historie.ico
        fi
-       if use linguas_cs ; then
+       if use l10n_cs ; then
                games_make_wrapper draci-historie-cs "scummvm -f -p 
\"${GAMES_DATADIR}/${PN}/cs\" draci" .
                make_desktop_entry ${PN}-cs "Dračí Historie (Čeština)" 
/usr/share/pixmaps/draci-historie.ico
        fi
-       if use linguas_de ; then
+       if use l10n_de ; then
                games_make_wrapper draci-historie-de "scummvm -f -p 
\"${GAMES_DATADIR}/${PN}/de\" draci" .
                make_desktop_entry ${PN}-de "Dračí Historie (Deutsch)"  
/usr/share/pixmaps/draci-historie.ico
        fi
-       if use linguas_pl ; then
+       if use l10n_pl ; then
                games_make_wrapper draci-historie-pl "scummvm -f -p 
\"${GAMES_DATADIR}/${PN}/pl\" draci" .
                make_desktop_entry ${PN}-pl "Dračí Historie (Polski)"  
/usr/share/pixmaps/draci-historie.ico
        fi

Reply via email to